
Master CRM - Feature #2115
Order Management -- Demo (9-17-2021) feedback extension work
09/17/2021 10:27 AM - hira naseem

Status: Resolved Start date: 09/17/2021
Priority: High Due date:
Assignee: hassaan majeed % Done: 20%
Category: Estimated time: 16.00 hours
Target version:
Description

1. Make order id hyperlink and link to the detail screen, (for preview icon design will be shared later).
2. remove shipping area column and add order date column in datatable. (there should be both order date and the delivery date of
order visible on datatable).
3. In location, product type selection should be multiple.
4. change Completed order text to Delivered order (wherever used).
5. add cancel in the action of dispatched orders.
6. Make TCS consignment number a hyperlink and redirect it to tcs tracking website.
7. On rebooking order, add prefix -001 after order id e.g order ID 1046 will be changed to 1046-001 and order date will remain same
as it was at time of first booking.
8. At the time of dispatching orders, orders with bank transfers should have option to input consignment number manually. (show pop
up for consignment number, in case of bulk there should be multiple fields along with order numbers).
9. In courier, add brand selection and if its a API couriers service then give option to input API keys details. and give option to setting
scheduling time for calling tracking method of API. 
10. auto load order screen whenever user change order status.

History
#1 - 09/17/2021 10:16 AM - shehroz akhtar
- Estimated time set to 16.00

#2 - 09/23/2021 03:54 PM - shehroz akhtar

23-09-2021

worked on point 1-6

#3 - 09/24/2021 03:31 PM - shehroz akhtar

24-09-2021

Points 7-8 done

#4 - 09/27/2021 03:16 PM - shehroz akhtar

27-09-2021

01 - order detail popup
10 - auto reload order screen 
09 - courier api details (cont)
#5 - 09/28/2021 03:21 PM - shehroz akhtar

28-09-2021

Point 9 in manage brands

#6 - 10/14/2021 12:30 PM - hira naseem
- Assignee changed from shehroz akhtar to Areesa Fatima

#7 - 11/25/2021 08:48 AM - hira naseem
- Status changed from In Progress to Resolved
- Assignee changed from Areesa Fatima to hassaan majeed
